Subject: git gui: Possible to see which commands are executed?

From: Dirk Süsserott <[email-masked]>
Date: Sun, 18 May 2008 14:03:35 +0200

Is it possible to see which commands are executed by git-gui?
For an example, there's a menu item "branch -> rename".
I'm not aware that such a thing as "git branch rename"
exists on the command line. So git-gui must do it by
other means. Is there a way to see how? (Don't stick with
this example, it's a general question.)
Some "--debug" or "--log" switch which logs the
commands to a logfile or so? I know I could examine the
sources but that's not convenient ;-)

It would be really cool when git-gui could show the command
in a different window *before* it is executed. Some database
frontends have an option "show SQL statement", but I think
that would be demanded too much.

    Dirk